cURL
curl --request POST \
--url https://cloud.activepieces.com/api/v1/platform-configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isProductTelemetryEnabled": true,
"isInfraSetupTelemetryEnabled": true,
"maxBarrierSignals": 5000,
"aiSpecificModelsVisible": true,
"defaultChatModel": {
"type": "tier",
"tierId": "<string>"
}
}
'import requests
url = "https://cloud.activepieces.com/api/v1/platform-configurations"
payload = {
"isProductTelemetryEnabled": True,
"isInfraSetupTelemetryEnabled": True,
"maxBarrierSignals": 5000,
"aiSpecificModelsVisible": True,
"defaultChatModel": {
"type": "tier",
"tierId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isProductTelemetryEnabled: true,
isInfraSetupTelemetryEnabled: true,
maxBarrierSignals: 5000,
aiSpecificModelsVisible: true,
defaultChatModel: {type: 'tier', tierId: '<string>'}
})
};
fetch('https://cloud.activepieces.com/api/v1/platform-configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.activepieces.com/api/v1/platform-configurations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isProductTelemetryEnabled' => true,
'isInfraSetupTelemetryEnabled' => true,
'maxBarrierSignals' => 5000,
'aiSpecificModelsVisible' => true,
'defaultChatModel' => [
'type' => 'tier',
'tierId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.activepieces.com/api/v1/platform-configurations"
payload := strings.NewReader("{\n \"isProductTelemetryEnabled\": true,\n \"isInfraSetupTelemetryEnabled\": true,\n \"maxBarrierSignals\": 5000,\n \"aiSpecificModelsVisible\": true,\n \"defaultChatModel\": {\n \"type\": \"tier\",\n \"tierId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.activepieces.com/api/v1/platform-configurations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"isProductTelemetryEnabled\": true,\n \"isInfraSetupTelemetryEnabled\": true,\n \"maxBarrierSignals\": 5000,\n \"aiSpecificModelsVisible\": true,\n \"defaultChatModel\": {\n \"type\": \"tier\",\n \"tierId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.activepieces.com/api/v1/platform-configurations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isProductTelemetryEnabled\": true,\n \"isInfraSetupTelemetryEnabled\": true,\n \"maxBarrierSignals\": 5000,\n \"aiSpecificModelsVisible\": true,\n \"defaultChatModel\": {\n \"type\": \"tier\",\n \"tierId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"platformId": "<string>",
"isProductTelemetryEnabled": true,
"isInfraSetupTelemetryEnabled": true,
"maxBarrierSignals": 5000,
"aiSpecificModelsVisible": true,
"defaultChatModel": {
"type": "tier",
"tierId": "<string>"
}
}Platform Configuration
Update Platform Configuration
Update platform settings, including the default chat model and whether specific AI models are visible to builders.
POST
/
v1
/
platform-configurations
cURL
curl --request POST \
--url https://cloud.activepieces.com/api/v1/platform-configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isProductTelemetryEnabled": true,
"isInfraSetupTelemetryEnabled": true,
"maxBarrierSignals": 5000,
"aiSpecificModelsVisible": true,
"defaultChatModel": {
"type": "tier",
"tierId": "<string>"
}
}
'import requests
url = "https://cloud.activepieces.com/api/v1/platform-configurations"
payload = {
"isProductTelemetryEnabled": True,
"isInfraSetupTelemetryEnabled": True,
"maxBarrierSignals": 5000,
"aiSpecificModelsVisible": True,
"defaultChatModel": {
"type": "tier",
"tierId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isProductTelemetryEnabled: true,
isInfraSetupTelemetryEnabled: true,
maxBarrierSignals: 5000,
aiSpecificModelsVisible: true,
defaultChatModel: {type: 'tier', tierId: '<string>'}
})
};
fetch('https://cloud.activepieces.com/api/v1/platform-configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.activepieces.com/api/v1/platform-configurations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isProductTelemetryEnabled' => true,
'isInfraSetupTelemetryEnabled' => true,
'maxBarrierSignals' => 5000,
'aiSpecificModelsVisible' => true,
'defaultChatModel' => [
'type' => 'tier',
'tierId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.activepieces.com/api/v1/platform-configurations"
payload := strings.NewReader("{\n \"isProductTelemetryEnabled\": true,\n \"isInfraSetupTelemetryEnabled\": true,\n \"maxBarrierSignals\": 5000,\n \"aiSpecificModelsVisible\": true,\n \"defaultChatModel\": {\n \"type\": \"tier\",\n \"tierId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.activepieces.com/api/v1/platform-configurations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"isProductTelemetryEnabled\": true,\n \"isInfraSetupTelemetryEnabled\": true,\n \"maxBarrierSignals\": 5000,\n \"aiSpecificModelsVisible\": true,\n \"defaultChatModel\": {\n \"type\": \"tier\",\n \"tierId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.activepieces.com/api/v1/platform-configurations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isProductTelemetryEnabled\": true,\n \"isInfraSetupTelemetryEnabled\": true,\n \"maxBarrierSignals\": 5000,\n \"aiSpecificModelsVisible\": true,\n \"defaultChatModel\": {\n \"type\": \"tier\",\n \"tierId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"platformId": "<string>",
"isProductTelemetryEnabled": true,
"isInfraSetupTelemetryEnabled": true,
"maxBarrierSignals": 5000,
"aiSpecificModelsVisible": true,
"defaultChatModel": {
"type": "tier",
"tierId": "<string>"
}
}Authorizations
Use your api key generated from the admin console
Body
application/json
Response
200 - application/json
Default Response
Required range:
1 <= x <= 10000- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?